package com.cloudhub;

import android.app.Activity;
import android.content.Context;
import android.widget.ProgressBar;
import android.widget.TextView;

import com.resources.manage.BaseDialog;

/**
 * description :
 */
public class DownloadDialog extends BaseDialog {

    private TextView mTvPro;
    private ProgressBar mProgressBar;
    private Context mContext;

    public DownloadDialog(Context context) {
        super(context);
        this.mContext = context;
    }

    @Override
    public void initView() {
        setContentView(R.layout.dialog_download);
        mTvPro = findViewById(R.id.tv_pro);
        mProgressBar = findViewById(R.id.pro_download);
    }

    @Override
    public void initListener() {
    }

    @Override
    public void updateView() {

    }

    private String percentValue;

    public void updateProgress(long maxvalue, long current) {
        float num = (float) (current * 1.0 / maxvalue);
        int value = (int) (num * 100);
        if (value < 100) {
            percentValue = value + "%";
        } else {
            percentValue = "100%";
        }
        if (mProgressBar != null && mTvPro != null) {
            ((Activity) mContext).runOnUiThread(new Runnable() {
                @Override
                public void run() {
                    mProgressBar.setProgress(value);
                    mTvPro.setText(mContext.getString(R.string.curr_down) + " " + percentValue);
                }
            });
        }
    }
}
