package com.cloudhub;

import android.content.Context;
import android.support.annotation.NonNull;
import android.view.View;
import android.widget.Button;
import com.resources.manage.BaseDialog;

/**
 * 护眼提示Dialog
 */
public class EyeCareDialog extends BaseDialog {

    private Button mBtnCancel;
    private Button mBtnEnsure;

    public EyeCareDialog(@NonNull Context context) {
        super(context);
    }

    @Override
    public void initView() {
        setContentView(R.layout.dialog_eye_care);
        mBtnEnsure = findViewById(R.id.bt_eye_ensure);
        mBtnCancel = findViewById(R.id.bt_eye_cancle);
    }

    @Override
    public void initListener() {
        mBtnCancel.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                dismiss();
            }
        });

        mBtnEnsure.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                dismiss();
                if (mOnYSDialogListener != null) {
                    mOnYSDialogListener.onSureClick(null);
                }
            }
        });
    }

    @Override
    public void updateView() {

    }
}
