# CloudHub(Android)权限说明文档

```xml
<!-- Android8.0 允许安装未知来源权限 -->
<uses-permission android:name="android.permission.REQUEST_INSTALL_PACKAGES"/>

<!-- 访问电话状态（处理电话广播.） -->
<uses-permission android:name="android.permission.READ_PHONE_STATE"/>

<!-- 允许程序调用killBackgroundProcesses(String).方法结束后台进程-->
<uses-permission android:name="android.permission.KILL_BACKGROUND_PROCESSES" />

 <!-- 允许访问摄像头进行拍照 -->
<uses-permission android:name="android.permission.CAMERA" />

<!-- 允许程序录制音频 -->
<uses-permission android:name="android.permission.RECORD_AUDIO" />

<!-- 修改声音设置信息 -->
<uses-permission android:name="android.permission.MODIFY_AUDIO_SETTINGS" />

<!-- 允许程序访问网络连接，可能产生GPRS流量 -->
<uses-permission android:name="android.permission.INTERNET" />

<!-- 获取网络信息状态，如当前的网络连接是否有效 -->
<uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />

<!-- 允许程序访问Wi-Fi网络状态信息 -->
<uses-permission android:name="android.permission.ACCESS_WIFI_STATE"/>

<!-- 允许使用PowerManager的 WakeLocks保持进程在休眠时从屏幕消失 -->
<uses-permission android:name="android.permission.WAKE_LOCK" />

<!-- 允许程序读取底层系统日志文件 -->
<uses-permission
    android:name="android.permission.READ_LOGS"
    tools:ignore="ProtectedPermissions" />

<!-- sd卡文件夹创建和删除 -->
<uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
<uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
<uses-permission
    android:name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS"
    tools:ignore="ProtectedPermissions" />

<!--允许程序在手机后后台进程仍然运行-->
<uses-permission android:name="android.permission.WAKE_LOCK" />
<!--显示系统窗口-->
<uses-permission android:name="android.permission.SYSTEM_ALERT_WINDOW" />
```

