package com.cloudhub;

import android.content.Context;
import android.text.TextUtils;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;
import com.resources.manage.BaseDialog;

/**
 * description :
 */
public class AutoupdateDialog extends BaseDialog {

    private TextView mTvMsg;
    private Button mBtnCancel;
    private Button mBtnEnsure;
    private boolean isDiss = false;

    public AutoupdateDialog(Context context) {
        super(context);
    }

    @Override
    public void initView() {
        setContentView(R.layout.dialog_auto_update);
        mTvMsg = findViewById(R.id.tv_update_msg);
        mBtnEnsure = findViewById(R.id.bt_update_ensure);
        mBtnCancel = findViewById(R.id.bt_update_cancle);
    }

    @Override
    public void initListener() {
        mBtnCancel.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                dismiss();
                isDiss = false;
            }
        });
        mBtnEnsure.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                dismiss();
                isDiss = false;
                if (mOnYSDialogListener != null) {
                    mOnYSDialogListener.onSureClick(null);
                }
            }
        });
    }

    @Override
    public void updateView() {
        if (!TextUtils.isEmpty(mMsgText)) {
            if (isDiss) {
                mBtnCancel.setVisibility(View.GONE);
            }
            mTvMsg.setText(mMsgText);
        }
    }

    /**
     * 强制升级 隐藏diss 按钮
     */
    public void setdissVisibility(){
        isDiss = true;
    }
}
